Subject: bug#30437: closed (Re: bug#30437: No “.guix-profile/bin/python”after ‘guix package -i python’)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 12 Feb 2018 19:02:03 +0000

Your bug report

#30437: No “.guix-profile/bin/python” after ‘guix package -i python’

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30437: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30437
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30437: No “.guix-profile/bin/python” after ‘guix package -ipython’
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Date: Mon, 12 Feb 2018 20:00:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Efraim Flashner <[email-masked]> writes:

> On Mon, Feb 12, 2018 at 06:23:07PM +0100, Danny Milosavljevic wrote:
>> Hi Mathieu,
>> 
>> On Mon, 12 Feb 2018 17:52:41 +0100
>> Mathieu Lirzin <[email-masked]> wrote:
>> 
>> > I think it would work better if when installing python@3, a ‘python’
>> > executable would be available in the PATH.  Maybe there is a technical
>> > reason for not doing so, but I find its absence rather confusing.
>> 
>> For backward compatibility, the 'python' executable always has to be Python 2.
>> 
>> A lot of old scripts specify just "/usr/bin/env python" in the shebang.
>> 
>> On the other hand if your script supports Python 3 you know it.
>> 
>
> We do also have the 'python-wrapper' package which uses python3 as
> python

Closing because it’s not a bug.

-- 
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net

Subject: No “.guix-profile/bin/python”after ‘guix package -i python’
From: Mathieu Lirzin <[email-masked]>
To: [email-masked]
Date: Mon, 12 Feb 2018 17:52:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I think it would work better if when installing python@3, a ‘python’
executable would be available in the PATH.  Maybe there is a technical
reason for not doing so, but I find its absence rather confusing.

Thanks for considering it.

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37